﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using RGDialog.Data;

#nullable disable

namespace RGDialog.Data.Migrations
{
    [DbContext(typeof(StoreContext))]
    partial class StoreContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder.HasAnnotation("ProductVersion", "6.0.9");

            modelBuilder.Entity("RGDialog.Entities.RGDialogClient", b =>
                {
                    b.Property<Guid>("IDUnique")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("TEXT");

                    b.Property<DateTime?>("DateEvent")
                        .HasColumnType("TEXT");

                    b.Property<Guid>("IDClient")
                        .HasColumnType("TEXT");

                    b.Property<Guid>("IDRGDialog")
                        .HasColumnType("TEXT");

                    b.HasKey("IDUnique");

                    b.ToTable("Clients");
                });
#pragma warning restore 612, 618
        }
    }
}
